com.beanit.asn1bean.ber.types

## Class BerTimeOfDay

- java.lang.Object
- - com.beanit.asn1bean.ber.types.string.BerVisibleString
  - - com.beanit.asn1bean.ber.types.BerTime
    - - com.beanit.asn1bean.ber.types.BerTimeOfDay

- All Implemented Interfaces:
    BerType, java.io.Serializable

      public class BerTimeOfDay
      extends BerTime

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BerTag` | `tag`

    - ### Fields inherited from class com.beanit.asn1bean.ber.types.string.BerVisibleString

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BerTimeOfDay()`
    `BerTimeOfDay(byte[] value)`
    `BerTimeOfDay(java.lang.String valueAsString)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `decode(java.io.InputStream is, boolean withTag)`
    `int` | `encode(java.io.OutputStream reverseOS, boolean withTag)`

    - ### Methods inherited from class com.beanit.asn1bean.ber.types.string.BerVisibleString

      `decode, encode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### tag

          public static final BerTag tag

  - ### Constructor Detail

    - #### BerTimeOfDay

          public BerTimeOfDay()

    - #### BerTimeOfDay

          public BerTimeOfDay(byte[] value)

    - #### BerTimeOfDay

          public BerTimeOfDay(java.lang.String valueAsString)

  - ### Method Detail

    - #### encode

          public int encode(java.io.OutputStream reverseOS,
                            boolean withTag)
                     throws java.io.IOException

      Overrides:
        `encode` in class `BerTime`
      Throws:
        `java.io.IOException`

    - #### decode

          public int decode(java.io.InputStream is,
                            boolean withTag)
                     throws java.io.IOException

      Overrides:
        `decode` in class `BerTime`
      Throws:
        `java.io.IOException`